Opened 4 years ago

Closed 4 years ago

#20728 closed defect (fixed)

Gracefully downgrade Singular 4 -> 3

Reported by: jdemeyer Owned by:
Priority: major Milestone: sage-7.3
Component: packages: standard Keywords: days74
Cc: jakobkroeker Merged in:
Authors: Jeroen Demeyer Reviewers: Volker Braun
Report Upstream: N/A Work issues:
Branch: df3b063 (Commits) Commit: df3b063e4bdcf8cce119993e80cf5052a320d6b1
Dependencies: Stopgaps:

Description

After testing #17254, installing Singular 3 no longer works due to a conflicting Singular 4 omalloc library.

Change History (6)

comment:1 Changed 4 years ago by jdemeyer

  • Branch set to u/jdemeyer/gracefully_downgrade_singular_4____3

comment:2 Changed 4 years ago by git

  • Commit set to df3b063e4bdcf8cce119993e80cf5052a320d6b1

Branch pushed to git repo; I updated commit sha1. This was a forced push. New commits:

df3b063Delete previous omalloc installations

comment:3 Changed 4 years ago by jdemeyer

  • Cc jakobkroeker added
  • Status changed from new to needs_review

comment:4 Changed 4 years ago by vbraun

  • Reviewers set to Volker Braun
  • Status changed from needs_review to positive_review

comment:5 Changed 4 years ago by tscrim

  • Keywords days74 added

comment:6 Changed 4 years ago by vbraun

  • Branch changed from u/jdemeyer/gracefully_downgrade_singular_4____3 to df3b063e4bdcf8cce119993e80cf5052a320d6b1
  • Resolution set to fixed
  • Status changed from positive_review to closed
Note: See TracTickets for help on using tickets.